<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.template.mapper.SmartWarningMapper">

    <select id="warningType" resultType="java.lang.String">
        SELECT type FROM `smart_warning` GROUP BY type
    </select>
    <select id="behaviourList" resultType="com.template.model.vo.BehaviourListVo">
        SELECT
            sw.type as typeName,
            COUNT( sw.type ) AS typeCount,
            ( SELECT COUNT( 0 ) FROM smart_warning sw2 ) AS totalCount
        FROM
            `smart_warning` sw
        GROUP BY
            sw.type
    </select>
</mapper>
